Subject: Re: FYI Cache-control deployment

From: Henrik Nordström <[email-masked]>
Date: Fri, 14 May 2010 20:20:28 +0200

tor 2009-11-26 klockan 10:27 +1300 skrev Adrien de Croy:
> There were quite a few sites that sent conflicting directives. 
> The private directive is odd, since there was no authentication going on.

private is exactly needed when the responses may contain information
only intended for a single user and no authentication is going on.

> a) Cache-control isn't well supported in the wild
> b) There's a lot of confusion about Cache-control directives (based on 
> the combinations people choose).

Which both boils down to Cache-control and caching in general still
being poorly understood by the web developers, who also have their
priorities mainly in other matters. Most developers view caching by
proxies and browsers as mostly a problem, not a tool.

Regards
Henrik